### Method

# WebKit2WebExtension DOMHTMLElement set_outer_html

#### Declaration [src]

    void
    webkit_dom_html_element_set_outer_html (
      WebKitDOMHTMLElement* self,
      const gchar* contents,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.8
Use `webkit_dom_element_set_outer_html()` instead.

#### Parameters

`contents` | `const gchar*`
| A #gchar with contents to set.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.